"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const antlr4_1 = require("antlr4");
const FlinkSqlLexer_1 = require("../lib/flinksql/FlinkSqlLexer");
const FlinkSqlParser_1 = require("../lib/flinksql/FlinkSqlParser");
const basicParser_1 = require("./common/basicParser");
class FlinkSQL extends basicParser_1.default {
    createLexer(input) {
        const chars = new antlr4_1.InputStream(input.toUpperCase()); // Some Lexer only support uppercase token, So you need transform
        const lexer = new FlinkSqlLexer_1.FlinkSqlLexer(chars);
        return lexer;
    }
    createParserFromLexer(lexer) {
        const tokenStream = new antlr4_1.CommonTokenStream(lexer);
        return new FlinkSqlParser_1.FlinkSqlParser(tokenStream);
    }
}
exports.default = FlinkSQL;
//# sourceMappingURL=flinksql.js.map