"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const antlr4_1 = require("antlr4");
const SqlLexer_1 = require("../lib/generic/SqlLexer");
const SqlParser_1 = require("../lib/generic/SqlParser");
const basicParser_1 = require("./common/basicParser");
class GenericSQL extends basicParser_1.default {
    createLexer(input) {
        const chars = new antlr4_1.InputStream(input.toUpperCase()); // Some Lexer only support uppercase token, So you need transform
        const lexer = new SqlLexer_1.SqlLexer(chars);
        return lexer;
    }
    createParserFromLexer(lexer) {
        const tokenStream = new antlr4_1.CommonTokenStream(lexer);
        return new SqlParser_1.SqlParser(tokenStream);
    }
}
exports.default = GenericSQL;
//# sourceMappingURL=generic.js.map