"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const antlr4_1 = require("antlr4");
const HiveSqlLexer_1 = require("../lib/hive/HiveSqlLexer");
const HiveSql_1 = require("../lib/hive/HiveSql");
const basicParser_1 = require("./common/basicParser");
class HiveSQL extends basicParser_1.default {
    createLexer(input) {
        const chars = new antlr4_1.InputStream(input);
        const lexer = new HiveSqlLexer_1.HiveSqlLexer(chars);
        return lexer;
    }
    createParserFromLexer(lexer) {
        const tokenStream = new antlr4_1.CommonTokenStream(lexer);
        return new HiveSql_1.HiveSql(tokenStream);
    }
}
exports.default = HiveSQL;
//# sourceMappingURL=hive.js.map