"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const antlr4_1 = require("antlr4");
const PlSqlLexer_1 = require("../lib/plsql/PlSqlLexer");
const PlSqlParser_1 = require("../lib/plsql/PlSqlParser");
const basicParser_1 = require("./common/basicParser");
class PLSQLParser extends basicParser_1.default {
    createLexer(input) {
        const chars = new antlr4_1.InputStream(input.toUpperCase());
        const lexer = new PlSqlLexer_1.PlSqlLexer(chars);
        return lexer;
    }
    createParserFromLexer(lexer) {
        const tokenStream = new antlr4_1.CommonTokenStream(lexer);
        return new PlSqlParser_1.PlSqlParser(tokenStream);
    }
}
exports.default = PLSQLParser;
//# sourceMappingURL=plsql.js.map