"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const antlr4_1 = require("antlr4");
const SparkSqlLexer_1 = require("../lib/spark/SparkSqlLexer");
const SparkSqlParser_1 = require("../lib/spark/SparkSqlParser");
const basicParser_1 = require("./common/basicParser");
class SparkSQL extends basicParser_1.default {
    createLexer(input) {
        const chars = new antlr4_1.InputStream(input.toUpperCase()); // Some Lexer only support uppercase token, So you need transform
        const lexer = new SparkSqlLexer_1.SparkSqlLexer(chars);
        return lexer;
    }
    createParserFromLexer(lexer) {
        const tokenStream = new antlr4_1.CommonTokenStream(lexer);
        return new SparkSqlParser_1.SparkSqlParser(tokenStream);
    }
}
exports.default = SparkSQL;
//# sourceMappingURL=spark.js.map